%global oname maxmind-db
Name:          maxmind-db-java
Version:       1.0.0
Release:       1%{?dist}
Summary:       Java reader for the MaxMind DB format
License:       ASL 2.0
URL:           http://dev.maxmind.com/
Source0:       https://github.com/maxmind/MaxMind-DB-Reader-java/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(junit:junit)
%if %{?fedora} > 20
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif

BuildArch:     noarch

%description
This is the Java API for reading MaxMind DB files.
MaxMind DB is a binary file format that stores
data indexed by IP address subnets (IPv4 or IPv6).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n MaxMind-DB-Reader-java-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
# Unwanted
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
# Require access to upstream git repository https://github.com/maxmind/MaxMind-DB
%pom_remove_plugin :exec-maven-plugin
# Unavailable https://github.com/trautonen/coveralls-maven-plugin/
%pom_remove_plugin org.eluder.coveralls:coveralls-maven-plugin

%mvn_file :%{oname} %{oname}
 
%build

# Tests fails for unavailable resources: maxmind-db/test-data/MaxMind-DB-test-decoder.mmdb
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.md LICENSE README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Tue Jan 06 2015 gil cattaneo <puntogil@libero.it> 1.0.0-1
- update to 1.0.0

* Fri Mar 07 2014 gil cattaneo <puntogil@libero.it> 0.3.1-1
- initial rpm
